import * as core from "@terrascript/core";

export interface FindingAggregatorArgs extends core.ResourceArgs {
  linkingMode: string | core.StringOut;

  specifiedRegions?: core.Array<string> | core.ArrayOut<core.StringOut>;
}

export class FindingAggregator extends core.Resource<FindingAggregatorArgs> {
  @core.attr(String, { computed: true })
  public id!: string | core.StringOut;

  @core.attr(String)
  public linkingMode!: string | core.StringOut;

  @core.attr(String, { kind: "array" })
  public specifiedRegions?: core.Array<string> | core.ArrayOut<core.StringOut>;

  constructor(name: string, args?: FindingAggregatorArgs) {
    super(name, "aws_securityhub_finding_aggregator", args);
  }

  public override getNamespace(): string {
    return "aws_securityhub";
  }
}
